JOURNAL_ERRNO(9)

NAME
journal_errno - returns the journal's error state.

SYNOPSIS

int journal_errno(journal_t * journal);

ARGUMENTS

journal
    journal to examine.

DESCRIPTION

This is the errno numbet set with journal_abort, the last time the journal was mounted - if the journal was stopped without calling abort this will be 0.

If the journal has been aborted on this mount time -EROFS will be returned.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT